{
    "compilerOptions": {
        "target": "es6",
        "rootDir": "source/",
        "outDir": "dist/",
        "moduleResolution": "node",
        "module": "es6",
        "esModuleInterop": true,
        "resolveJsonModule": true,
        "declaration": true,
        "declarationMap": true,
        "sourceMap": true,
        "skipLibCheck": true,

        "allowJs": false,
        "noEmit": false,

        "strict": true,
        "strictPropertyInitialization": false,
    },
    "exclude": ["node_modules", "dist"],
    "compileOnSave": false
}
